------------------------------------------------------------------
--                                                              --
--  File:  CREATE_DATABASE.SQL                                  --
--          Microsoft TPC-E Benchmark Kit Ver. 1.10.0-1019      --
--          Copyright Microsoft  2008, 2009, 2010               --
--                                                              --
-- DS 04.2010 - 8x JX40, 24 SSDs RAID5 Kit 1.10.0-1019          --
------------------------------------------------------------------

USE master
GO
SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'create main database files tpce'
GO

--  create main database files
CREATE DATABASE tpce
ON PRIMARY
(	NAME		= MSSQL_tpce_root,
	FILENAME	= 'C:\MSSQL_tpce_root.mdf',
	SIZE		= 8MB,
	FILEGROWTH	= 0),
FILEGROUP	tpce_fg
(	NAME		= TPCE1,
	FILENAME	= 'C:\jp\tpce01\',
	SIZE		= 1390000MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE2,
	FILENAME	= 'C:\jp\tpce02\',
	SIZE		= 1390000MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE3,
	FILENAME	= 'C:\jp\tpce03\',
	SIZE		= 1390000MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE4,
	FILENAME	= 'C:\jp\tpce04\',
	SIZE		= 1390000MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE5,
	FILENAME	= 'C:\jp\tpce05\',
	SIZE		= 1390000MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE6,
	FILENAME	= 'C:\jp\tpce06\',
	SIZE		= 1390000MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE7,
	FILENAME	= 'C:\jp\tpce07\',
	SIZE		= 1390000MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE8,
	FILENAME	= 'C:\jp\tpce08\',
	SIZE		= 1390000MB,
	FILEGROWTH	= 0)
LOG ON
(	NAME		= MSSQL_tpce_log,
	FILENAME	= 'L:',
	SIZE		= 300000MB,
	FILEGROWTH	= 0)
COLLATE Latin1_General_BIN
GO


-- *** DS 02/2010 ***
-- extend tpce_fg temporary with files on different disk drives for index creation growing
-- to be deleted at the end of setup

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'extend tpce for index creation growing'
GO

ALTER DATABASE tpce
ADD FILE
(   NAME = TPCEADDON01,
    FILENAME = 'C:\jp\help01\tpce_addon_temp01.ndf',
    SIZE = 190000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON02,
    FILENAME = 'C:\jp\help02\tpce_addon_temp02.ndf',
    SIZE = 130000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON03,
    FILENAME = 'C:\jp\help03\tpce_addon_temp03.ndf',
    SIZE = 190000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON04,
    FILENAME = 'C:\jp\help04\tpce_addon_temp04.ndf',
    SIZE = 130000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON05,
    FILENAME = 'C:\jp\help05\tpce_addon_temp05.ndf',
    SIZE = 190000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON06,
    FILENAME = 'C:\jp\help06\tpce_addon_temp06.ndf',
    SIZE = 130000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON07,
    FILENAME = 'C:\jp\help07\tpce_addon_temp07.ndf',
    SIZE = 190000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON08,
    FILENAME = 'C:\jp\help08\tpce_addon_temp08.ndf',
    SIZE = 130000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON09,
    FILENAME = 'C:\jp\help09\tpce_addon_temp09.ndf',
    SIZE = 190000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON10,
    FILENAME = 'C:\jp\help10\tpce_addon_temp10.ndf',
    SIZE = 130000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON11,
    FILENAME = 'C:\jp\help11\tpce_addon_temp11.ndf',
    SIZE = 190000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON12,
    FILENAME = 'C:\jp\help12\tpce_addon_temp12.ndf',
    SIZE = 130000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON13,
    FILENAME = 'C:\jp\help13\tpce_addon_temp13.ndf',
    SIZE = 190000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON14,
    FILENAME = 'C:\jp\help14\tpce_addon_temp14.ndf',
    SIZE = 130000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON15,
    FILENAME = 'C:\jp\help15\tpce_addon_temp15.ndf',
    SIZE = 190000MB,
    FILEGROWTH = 0),
(   NAME = TPCEADDON16,
    FILENAME = 'C:\jp\help16\tpce_addon_temp16.ndf',
    SIZE = 130000MB,
    FILEGROWTH = 0)
TO FILEGROUP tpce_fg
GO  

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'extend tpce for index creation done'
GO


